// import AMapLoader from '@amap/amap-jsapi-loader';
import $config from "@/config/index.js"
import gcoord from 'gcoord';

export const getCoord = (parmas) => {
	return new Promise((reslove, reject) => {
		const { name, code, type, longitude, latitude } = parmas;
		switch (type) {
			case 'gaode':
				const gaode_ = gcoord.transform(
					[longitude, latitude],
					gcoord.WGS84, // 输入坐标系
					gcoord.GCJ02 // 输出坐标系
				);
				console.log('gaode_ = ', gaode_)
				const gaode_site = {
					lng: gaode_[0],
					lat: gaode_[1]
				}
				reslove(gaode_site);
				break;
			case 'baidu':
				const baidu_ = gcoord.transform(
					[longitude, latitude],
					gcoord.WGS84, // 输入坐标系
					gcoord.BD09 // 输出坐标系
				);
				console.log('baidu_ = ', baidu_)
				const baidu_site = {
					lng: baidu_[0],
					lat: baidu_[1]
				}
				reslove(baidu_site)

		}
	})
}